QCPData Class Reference

Holds the data of one single data point for QCPGraph. More...

## Public Member Functions

| QCPData ()
| QCPData (double key, double value)

## Public Attributes

double | key
double | value
double | keyErrorPlus
double | keyErrorMinus
double | valueErrorPlus
double | valueErrorMinus

## Detailed Description

Holds the data of one single data point for QCPGraph.

The container for storing multiple data points is QCPDataMap.

The stored data is:

- key: coordinate on the key axis of this data point
- value: coordinate on the value axis of this data point
- keyErrorMinus: negative error in the key dimension (for error bars)
- keyErrorPlus: positive error in the key dimension (for error bars)
- valueErrorMinus: negative error in the value dimension (for error bars)
- valueErrorPlus: positive error in the value dimension (for error bars)

See also
  QCPDataMap

## Constructor & Destructor Documentation

QCPData::QCPData | ( |  | ) |

Constructs a data point with key, value and all errors set to zero.

QCPData::QCPData | ( | double | key,
|  | double | value
| ) |  |

Constructs a data point with the specified key and value. All errors are set to zero.

The documentation for this class was generated from the following files:

- qcustomplot.h
- qcustomplot.cpp